Loading...
Searching...
No Matches
Opm::ScheduleStatic Struct Reference

Initial state of Schedule object created from information in SOLUTION section. More...

`#include <ScheduleStatic.hpp>`

## Public Member Functions

| ScheduleStatic ()=default
| Default constructor.
| ScheduleStatic (std::shared_ptr< const Python > python_handle)
| Constructor.
| ScheduleStatic (std::shared_ptr< const Python > python_handle, const ScheduleRestartInfo &restart_info, const Deck &deck, const Runspec &runspec, const std::optional< int > &output_interval_, const ParseContext &parseContext, ErrorGuard &errors, const bool slave_mode)
| Constructor.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| Convert between byte array and object representation.
bool | operator== (const ScheduleStatic &other) const
| Equality predicate.

## Static Public Member Functions

static ScheduleStatic | serializationTestObject ()
| Create a serialisation test object.

## Public Attributes

std::shared_ptr< const Python > | m_python_handle {}
| Run's Python interpreter.
std::string | m_input_path {}
| On-disk location of run's model description (".DATA" file).
ScheduleRestartInfo | rst_info {}
| How to handle SCHEDULE section in a restarted simulation run.
MessageLimits | m_deck_message_limits {}
| Limits on number of messages of each kind (MESSAGES keyword).
UnitSystem | m_unit_system {}
| Run's input/output unit system conventions.
Runspec | m_runspec {}
| Run's descriptive meta information (RUNSPEC section).
RSTConfig | rst_config {}
| Initial restart file output requests.
std::optional< int > | output_interval {}
| Not really used and therefore intentionally undocumented.
double | sumthin {-1.0}
| Sparse summary output interval (SUMTHIN keyword in SUMMARY section).
bool | rptonly {false}
| Whether or not to output summary information at report steps only (RPTONLY keyword in SUMMARY section).
bool | gaslift_opt_active {false}
| Whether or not run activates the gas-lift optimisation facility.
std::optional< OilVaporizationProperties > | oilVap {}
| Limits on gas re-solution and oil vaporisation rates (e.g., DRSTD in SOLUTION section).
bool | slave_mode {false}
| Whether or not this run is externally controlled by another simulation run (reservoir coupling facility).
std::optional< RPTConfig > | rpt_config {}
| SOLUTION section's PRT file report configuration (RPTSOL keyword).

## Detailed Description

Initial state of Schedule object created from information in SOLUTION section.

## Constructor & Destructor Documentation

## ScheduleStatic() [1/3]

Opm::ScheduleStatic::ScheduleStatic | ( |  | ) |

default

Default constructor.

Creates an object that's mostly usable as a target in a deserialisation operation.

## ScheduleStatic() [2/3]

Opm::ScheduleStatic::ScheduleStatic | ( | std::shared_ptr< const Python > | python_handle | ) |

inline explicit

Constructor.

Creates an object with everything other than the run's Python interpreter in its default state. The object is mostly usable as a target in a deserialisation operation.

Parameters

  [in] | python_handle | Run's Python interpreter.

## ScheduleStatic() [3/3]

Opm::ScheduleStatic::ScheduleStatic | ( | std::shared_ptr< const Python > | python_handle,
|  | const ScheduleRestartInfo & | restart_info,
|  | const Deck & | deck,
|  | const Runspec & | runspec,
|  | const std::optional< int > & | output_interval_,
|  | const ParseContext & | parseContext,
|  | ErrorGuard & | errors,
|  | const bool | slave_mode )

Constructor.

Parameters

  [in] | python_handle | Run's Python interpreter.
  [in] | restart_info | How to handle SCHEDULE section in a restarted simulation run.
  [in] | deck | Run's model description. Mostly used for its SOLUTION and SUMMARY section contents.
  [in] | runspec | Run's descriptive meta information
  [in] | output_interval_ | Not really used and therefore left undocumented.
  [in] | parseContext | How to handle parse failures.
  [in,out] | errors | Collection of parse failures.
  [in] | slave_mode | Whether or not this run is externally controlled by another simulation (reservoir coupling facility).

## Member Function Documentation

## operator==()

bool Opm::ScheduleStatic::operator== | ( | const ScheduleStatic & | other | ) | const

Equality predicate.

Parameters

  [in] | other | Object against which will be tested for equality.

Returns
  Whether or not
  is the same as `other`.

## serializeOp()

template<class Serializer>

void Opm::ScheduleStatic::serializeOp | ( | Serializer & | serializer | ) |

inline

Convert between byte array and object representation.

Template Parameters

  Serializer | Byte array conversion protocol.

Parameters

  [in,out] | serializer | Byte array conversion object.

## Member Data Documentation

## rpt_config

std::optional<RPTConfig> Opm::ScheduleStatic::rpt_config {}

SOLUTION section's PRT file report configuration (RPTSOL keyword).

Nullopt if there is no RPTSOL keyword in the SOLUTION section.

## rptonly

bool Opm::ScheduleStatic::rptonly {false}

Whether or not to output summary information at report steps only (RPTONLY keyword in SUMMARY section).

Default value is to output summary information at every time step.

## rst_config

RSTConfig Opm::ScheduleStatic::rst_config {}

Initial restart file output requests.

Keyword RPTRST in SOLUTION section.

## sumthin

double Opm::ScheduleStatic::sumthin {-1.0}

Sparse summary output interval (SUMTHIN keyword in SUMMARY section).

Negative default value means to output summary information at every time step.

The documentation for this struct was generated from the following files:

- opm/input/eclipse/Schedule/ScheduleStatic.hpp
- opm/input/eclipse/Schedule/ScheduleStatic.cpp